commit bb1cfdc92bf5079391df411ed0c07ea93163cae8
Author: Pavel Fidranský <fidransky@outlook.com>
Date:   Sat Aug 18 20:44:50 2018 +0200

    moved Log4J configuration file to a directory following Maven convention

diff --git a/sources/src/log4j.xml b/sources/src/log4j.xml
deleted file mode 100644
index eb46472..0000000
--- a/sources/src/log4j.xml
+++ /dev/null
@@ -1,66 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd" >
-<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
-
-	<!-- bundle-cmp tests logging configuration -->
-	<appender name="consoleAppender" class="org.apache.log4j.ConsoleAppender">
-		<layout class="org.apache.log4j.PatternLayout">
-			<param name="ConversionPattern" value="%d{HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
-		</layout>
-	</appender>
-	<!-- 
-	<appender name="fullLogFileAppender" class="org.apache.log4j.FileAppender">
-		<param name="File" value="h:/log/pia_prototype2_full.log" />
-		<param name="Append" value="true" />
-        <layout class="org.apache.log4j.PatternLayout">
-			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
-		</layout>
-	</appender>
-	
-	<appender name="hibernateLogFileAppender" class="org.apache.log4j.FileAppender">
-		<param name="File" value="h:/log/pia_prototype2_hibernate.log" />
-		<param name="Append" value="true" />
-        <layout class="org.apache.log4j.PatternLayout">
-			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
-		</layout>
-	</appender>
-	
-	<appender name="securityLogFileAppender" class="org.apache.log4j.FileAppender">
-		<param name="File" value="h:/log/pia_prototype2_security.log" />
-		<param name="Append" value="true" />
-        <layout class="org.apache.log4j.PatternLayout">
-			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
-		</layout>
-	</appender>
-	
-	<appender name="springLogFileAppender" class="org.apache.log4j.FileAppender">
-		<param name="File" value="h:/log/pia_prototype2_spring.log" />
-		<param name="Append" value="true" />
-        <layout class="org.apache.log4j.PatternLayout">
-			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
-		</layout>
-	</appender>
-	
-	<appender name="appLogFileAppender" class="org.apache.log4j.FileAppender">
-		<param name="File" value="h:/log/pia_prototype2.log" />
-        <param name="Append" value="true" />
-		<layout class="org.apache.log4j.PatternLayout">
-			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
-		</layout>
-	</appender>-->
-	
-	<!--<logger name="cz.zcu.kiv.offscreen" additivity="false">
-		<level value="trace"/>
-		<appender-ref ref="consoleAppender"/>
-	</logger>-->
-	
-	<!--<logger name="org.springframework" additivity="false">
-		<level value="info"/>
-		<appender-ref ref="consoleAppender"/>
-	</logger>-->
-	
-	<root>
-		<level value="info" />
-		<appender-ref ref="consoleAppender"/>
-	</root>
-</log4j:configuration>
\ No newline at end of file
diff --git a/sources/src/main/resources/log4j.xml b/sources/src/main/resources/log4j.xml
new file mode 100644
index 0000000..eb46472
--- /dev/null
+++ b/sources/src/main/resources/log4j.xml
@@ -0,0 +1,66 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd" >
+<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
+
+	<!-- bundle-cmp tests logging configuration -->
+	<appender name="consoleAppender" class="org.apache.log4j.ConsoleAppender">
+		<layout class="org.apache.log4j.PatternLayout">
+			<param name="ConversionPattern" value="%d{HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
+		</layout>
+	</appender>
+	<!-- 
+	<appender name="fullLogFileAppender" class="org.apache.log4j.FileAppender">
+		<param name="File" value="h:/log/pia_prototype2_full.log" />
+		<param name="Append" value="true" />
+        <layout class="org.apache.log4j.PatternLayout">
+			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
+		</layout>
+	</appender>
+	
+	<appender name="hibernateLogFileAppender" class="org.apache.log4j.FileAppender">
+		<param name="File" value="h:/log/pia_prototype2_hibernate.log" />
+		<param name="Append" value="true" />
+        <layout class="org.apache.log4j.PatternLayout">
+			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
+		</layout>
+	</appender>
+	
+	<appender name="securityLogFileAppender" class="org.apache.log4j.FileAppender">
+		<param name="File" value="h:/log/pia_prototype2_security.log" />
+		<param name="Append" value="true" />
+        <layout class="org.apache.log4j.PatternLayout">
+			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
+		</layout>
+	</appender>
+	
+	<appender name="springLogFileAppender" class="org.apache.log4j.FileAppender">
+		<param name="File" value="h:/log/pia_prototype2_spring.log" />
+		<param name="Append" value="true" />
+        <layout class="org.apache.log4j.PatternLayout">
+			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
+		</layout>
+	</appender>
+	
+	<appender name="appLogFileAppender" class="org.apache.log4j.FileAppender">
+		<param name="File" value="h:/log/pia_prototype2.log" />
+        <param name="Append" value="true" />
+		<layout class="org.apache.log4j.PatternLayout">
+			<param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %-6p [%c:%M:%L] - %m%n"/>
+		</layout>
+	</appender>-->
+	
+	<!--<logger name="cz.zcu.kiv.offscreen" additivity="false">
+		<level value="trace"/>
+		<appender-ref ref="consoleAppender"/>
+	</logger>-->
+	
+	<!--<logger name="org.springframework" additivity="false">
+		<level value="info"/>
+		<appender-ref ref="consoleAppender"/>
+	</logger>-->
+	
+	<root>
+		<level value="info" />
+		<appender-ref ref="consoleAppender"/>
+	</root>
+</log4j:configuration>
\ No newline at end of file