commit bc49d6a893d00c4905894706e463dfb72dcaf546
Author: Pavel Fidranský <fidransky@outlook.com>
Date:   Sat Aug 18 18:52:34 2018 +0200

    dropped Netbeans build mock files

diff --git a/sources/netbeans-mock/build.properties b/sources/netbeans-mock/build.properties
deleted file mode 100644
index aa6989a..0000000
--- a/sources/netbeans-mock/build.properties
+++ /dev/null
@@ -1,174 +0,0 @@
-default.javac.source=1.8
-default.javac.target=1.8
-libs.absolutelayout.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\AbsoluteLayout.jar
-libs.absolutelayout.javadoc=
-libs.absolutelayout.maven-pom=
-libs.absolutelayout.src=
-libs.beans-binding.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\beansbinding-1.2.1.jar
-libs.beans-binding.javadoc=C:\\Program Files\\NetBeans 8.1\\java\\docs\\beansbinding-1.2.1-doc.zip
-libs.beans-binding.maven-pom=
-libs.beans-binding.src=
-libs.CopyLibs.classpath=C:\\Users\\fidra\\Misc\\netbeans-mock\\java\\ant\\extra\\org-netbeans-modules-java-j2seproject-copylibstask.jar
-libs.CopyLibs.javadoc=
-libs.CopyLibs.maven-pom=
-libs.CopyLibs.src=
-libs.eclipselink.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\eclipselink\\eclipselink.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\eclipselink\\javax.persistence_2.1.0.v201304241213.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\eclipselink\\org.eclipse.persistence.jpa.jpql_2.5.2.v20140319-9ad6abd.jar
-libs.eclipselink.javadoc=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\docs\\javax.persistence-2.1.0-doc.zip
-libs.eclipselink.maven-pom=
-libs.eclipselink.src=
-libs.eclipselinkmodelgen.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\eclipselink\\org.eclipse.persistence.jpa.modelgen_2.5.2.v20140319-9ad6abd.jar
-libs.eclipselinkmodelgen.javadoc=
-libs.eclipselinkmodelgen.maven-pom=
-libs.eclipselinkmodelgen.src=
-libs.hamcrest.classpath=C:\\Program Files\\NetBeans 8.1\\platform\\modules\\ext\\hamcrest-core-1.3.jar
-libs.hamcrest.javadoc=
-libs.hamcrest.maven-pom=
-libs.hamcrest.src=
-libs.hibernate4-persistence.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\antlr-2.7.7.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\c3p0-0.9.2.1.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-c3p0-4.3.1.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\mchange-commons-java-0.2.3.4.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\dom4j-1.6.1.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\ehcache-core-2.4.3.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-ehcache-4.3.1.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-core-4.3.1.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\jboss-logging-3.1.3.GA.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-commons-annotations-4.0.4.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-entitymanager-4.3.1.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\javassist-3.18.1-GA.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\jboss-transaction-api_1.2_spec-1.0.0.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\slf4j-api-1.6.1.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\slf4j-simple-1.6.1.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-jpa-2.1-api-1.0.0.Final.jar
-libs.hibernate4-persistence.javadoc=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\docs\\javax.persistence-2.1.0-doc.zip
-libs.hibernate4-persistence.maven-pom=
-libs.hibernate4-persistence.src=
-libs.hibernate4-persistencemodelgen.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-jpamodelgen-4.3.1.Final.jar
-libs.hibernate4-persistencemodelgen.javadoc=
-libs.hibernate4-persistencemodelgen.maven-pom=
-libs.hibernate4-persistencemodelgen.src=
-libs.hibernate4-support.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\antlr-2.7.7.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\c3p0-0.9.2.1.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-c3p0-4.3.1.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\mchange-commons-java-0.2.3.4.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\dom4j-1.6.1.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\ehcache-core-2.4.3.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-ehcache-4.3.1.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-core-4.3.1.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\jboss-logging-3.1.3.GA.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-commons-annotations-4.0.4.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-entitymanager-4.3.1.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\javassist-3.18.1-GA.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\jboss-transaction-api_1.2_spec-1.0.0.Final.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\slf4j-api-1.6.1.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\slf4j-simple-1.6.1.jar
-libs.hibernate4-support.javadoc=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\docs\\javax.persistence-2.1.0-doc.zip
-libs.hibernate4-support.maven-pom=
-libs.hibernate4-support.src=
-libs.javac-api.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\nb-javac-api.jar
-libs.javac-api.javadoc=
-libs.javac-api.maven-pom=
-libs.javac-api.src=
-libs.JAVADB_DRIVER_LABEL.classpath=C:\\Program Files\\Java\\jdk1.8.0_60\\db\\lib\\derby.jar;C:\\Program Files\\Java\\jdk1.8.0_60\\db\\lib\\derbyclient.jar;C:\\Program Files\\Java\\jdk1.8.0_60\\db\\lib\\derbynet.jar
-libs.JAVADB_DRIVER_LABEL.javadoc=
-libs.JAVADB_DRIVER_LABEL.maven-pom=
-libs.JAVADB_DRIVER_LABEL.src=
-libs.javaee-api-6.0.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee-api-6.0.jar
-libs.javaee-api-6.0.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.javaee-api-6.0.maven-pom=
-libs.javaee-api-6.0.src=
-libs.javaee-api-7.0.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee-api-7.0.jar
-libs.javaee-api-7.0.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.javaee-api-7.0.maven-pom=
-libs.javaee-api-7.0.src=
-libs.javaee-endorsed-api-6.0.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee6-endorsed\\javax.annotation.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee6-endorsed\\jaxb-api-osgi.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee6-endorsed\\webservices-api-osgi.jar
-libs.javaee-endorsed-api-6.0.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.javaee-endorsed-api-6.0.maven-pom=
-libs.javaee-endorsed-api-6.0.src=
-libs.javaee-endorsed-api-7.0.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee7-endorsed\\javax.annotation-api.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee7-endorsed\\javax.xml.soap-api.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee7-endorsed\\jaxb-api-osgi.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee7-endorsed\\jaxws-api.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee7-endorsed\\jsr181-api.jar
-libs.javaee-endorsed-api-7.0.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.javaee-endorsed-api-7.0.maven-pom=
-libs.javaee-endorsed-api-7.0.src=
-libs.javaee-web-api-6.0.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee-web-api-6.0.jar
-libs.javaee-web-api-6.0.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.javaee-web-api-6.0.maven-pom=
-libs.javaee-web-api-6.0.src=
-libs.javaee-web-api-7.0.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\javaee-web-api-7.0.jar
-libs.javaee-web-api-7.0.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.javaee-web-api-7.0.maven-pom=
-libs.javaee-web-api-7.0.src=
-libs.JAXB-ENDORSED.classpath=C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\api\\jaxb-api.jar
-libs.JAXB-ENDORSED.javadoc=
-libs.JAXB-ENDORSED.maven-pom=
-libs.JAXB-ENDORSED.src=
-libs.jaxb.classpath=C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\jaxb-impl.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\jaxb-xjc.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\jaxb1-impl.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\activation.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\api\\jaxb-api.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\api\\jsr173_1.0_api.jar
-libs.jaxb.javadoc=C:\\Program Files\\NetBeans 8.1\\ide\\docs\\jaxb-api-doc.zip
-libs.jaxb.maven-pom=
-libs.jaxb.src=
-libs.jaxws21.classpath=C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\jaxb-impl.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\jaxb-xjc.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\FastInfoset.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\gmbal-api-only.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\ha-api.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\javax.mail_1.4.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\jaxws-rt.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\jaxws-tools.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\management-api.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\mimepull.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\policy.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\saaj-impl.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\stax-ex.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\stax2-api.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\streambuffer.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\woodstox-core-asl.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\api\\jaxws-api.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\api\\jsr181-api.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\api\\javax.annotation.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\jaxws22\\api\\saaj-api.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\activation.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\api\\jaxb-api.jar;C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\api\\jsr173_1.0_api.jar
-libs.jaxws21.javadoc=C:\\Program Files\\NetBeans 8.1\\java\\docs\\jaxws-api-doc.zip
-libs.jaxws21.maven-pom=
-libs.jaxws21.src=
-libs.jpa2-persistence.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\hibernate4\\hibernate-jpa-2.1-api-1.0.0.Final.jar
-libs.jpa2-persistence.javadoc=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\docs\\javax.persistence-2.1.0-doc.zip
-libs.jpa2-persistence.maven-pom=
-libs.jpa2-persistence.src=
-libs.jpa20-persistence.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\eclipselink\\javax.persistence_2.1.0.v201304241213.jar
-libs.jpa20-persistence.javadoc=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\docs\\javax.persistence-2.1.0-doc.zip
-libs.jpa20-persistence.maven-pom=
-libs.jpa20-persistence.src=
-libs.jsf12.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-1_2\\commons-beanutils.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-1_2\\commons-collections.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-1_2\\commons-digester.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-1_2\\commons-logging.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-1_2\\jsf-api.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-1_2\\jsf-impl.jar
-libs.jsf12.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.jsf12.maven-pom=
-libs.jsf12.src=
-libs.jsf20.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-2_2\\javax.faces.jar
-libs.jsf20.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.jsf20.maven-pom=
-libs.jsf20.src=
-libs.jsp-compilation-syscp.classpath=C:\\Program Files\\NetBeans 8.1\\extide\\ant\\lib\\ant.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\servlet3.1-jsp2.3-api.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\glassfish-jspparser-4.0.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jstl-impl.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-2_2\\javax.faces.jar
-libs.jsp-compilation-syscp.javadoc=
-libs.jsp-compilation-syscp.maven-pom=
-libs.jsp-compilation-syscp.src=
-libs.jsp-compilation.classpath=C:\\Program Files\\NetBeans 8.1\\extide\\ant\\lib\\ant.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\servlet3.1-jsp2.3-api.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\glassfish-jspparser-4.0.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jsf-2_2\\javax.faces.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jstl-api.jar;C:\\Program Files\\NetBeans 8.1\\extide\\ant\\lib\\ant-launcher.jar
-libs.jsp-compilation.javadoc=
-libs.jsp-compilation.maven-pom=
-libs.jsp-compilation.src=
-libs.jsp-compiler.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\ant\\extra\\jspcompile.jar
-libs.jsp-compiler.javadoc=
-libs.jsp-compiler.maven-pom=
-libs.jsp-compiler.src=
-libs.jstl.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jstl-impl.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jstl-api.jar
-libs.jstl.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\javaee-doc-api.jar
-libs.jstl.maven-pom=
-libs.jstl.src=
-libs.junit_4.classpath=C:\\Program Files\\NetBeans 8.1\\platform\\modules\\ext\\junit-4.12.jar
-libs.junit_4.javadoc=C:\\Program Files\\NetBeans 8.1\\platform\\docs\\junit-4.12-javadoc.jar
-libs.junit_4.maven-pom=
-libs.junit_4.src=C:\\Program Files\\NetBeans 8.1\\platform\\docs\\junit-4.12-sources.jar
-libs.JWSAntTasks.classpath=C:\\Users\\fidra\\Misc\\netbeans-mock\\java\\ant\\extra\\org-netbeans-modules-javawebstart-anttasks.jar
-libs.JWSAntTasks.javadoc=
-libs.JWSAntTasks.maven-pom=
-libs.JWSAntTasks.src=
-libs.metro.classpath=C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\jaxb\\activation.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\metro\\webservices-api.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\metro\\webservices-extra-api.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\metro\\webservices-extra.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\metro\\webservices-rt.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\metro\\webservices-tools.jar
-libs.metro.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\metro-1.4-doc.zip
-libs.metro.maven-pom=
-libs.metro.src=
-libs.MySQLDriver.classpath=C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\mysql-connector-java-5.1.23-bin.jar
-libs.MySQLDriver.javadoc=
-libs.MySQLDriver.maven-pom=
-libs.MySQLDriver.src=
-libs.PostgreSQLDriver.classpath=C:\\Program Files\\NetBeans 8.1\\ide\\modules\\ext\\postgresql-9.2-1002.jdbc4.jar
-libs.PostgreSQLDriver.javadoc=
-libs.PostgreSQLDriver.maven-pom=
-libs.PostgreSQLDriver.src=
-libs.primefaces.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\primefaces\\primefaces-5.0.jar
-libs.primefaces.javadoc=
-libs.primefaces.maven-pom=
-libs.primefaces.src=
-libs.restapi.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jaxrs-2.0\\javax.ws.rs-api-2.0.jar
-libs.restapi.javadoc=
-libs.restapi.maven-pom=
-libs.restapi.src=
-libs.restlib.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\asm-all-repackaged-2.2.0-b21.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\cglib-2.2.0-b21.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\guava-14.0.1.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\hk2-api-2.2.0-b21.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\hk2-locator-2.2.0-b21.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\hk2-utils-2.2.0-b21.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\javax.annotation-api-1.2.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\javax.inject-2.2.0-b21.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\javax.servlet-api-3.0.1.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\jaxb-api-2.2.7.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\jersey-entity-filtering-2.5.1.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\jersey-media-moxy-2.5.1.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\org.osgi.core-4.2.0.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\osgi-resource-locator-1.0.1.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\persistence-api-1.0.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\ext\\validation-api-1.1.0.Final.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\jersey-client.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\jersey-common.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\jersey-container-servlet.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\jersey-container-servlet-core.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\jersey2\\jersey-server.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\eclipselink\\eclipselink.jar
-libs.restlib.javadoc=
-libs.restlib.maven-pom=
-libs.restlib.src=
-libs.spring-framework300.classpath=C:\\Program Files\\NetBeans 8.1\\ide\\modules\\org-apache-commons-logging.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\cglib-2.2.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-aop-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-aspects-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-beans-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-build-src-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-context-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-context-support-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-core-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-expression-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-framework-bom-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-instrument-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-instrument-tomcat-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-jdbc-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-jms-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-orm-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-oxm-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-struts-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-test-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-tx-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-web-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-webmvc-3.2.7.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-webmvc-portlet-3.2.7.RELEASE.jar
-libs.spring-framework300.javadoc=
-libs.spring-framework300.maven-pom=
-libs.spring-framework300.src=
-libs.spring-framework400.classpath=C:\\Program Files\\NetBeans 8.1\\ide\\modules\\org-apache-commons-logging.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\cglib-2.2.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-aop-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-aspects-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-beans-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-build-src-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-context-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-context-support-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-core-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-expression-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-framework-bom-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-instrument-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-instrument-tomcat-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-jdbc-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-jms-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-messaging-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-orm-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-oxm-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-test-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-tx-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-web-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-webmvc-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-webmvc-portlet-4.0.1.RELEASE.jar;C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-websocket-4.0.1.RELEASE.jar
-libs.spring-framework400.javadoc=
-libs.spring-framework400.maven-pom=
-libs.spring-framework400.src=
-libs.spring-webmvc3.0.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-3.0\\spring-webmvc-3.2.7.RELEASE.jar
-libs.spring-webmvc3.0.javadoc=
-libs.spring-webmvc3.0.maven-pom=
-libs.spring-webmvc3.0.src=
-libs.spring-webmvc4.0.classpath=C:\\Program Files\\NetBeans 8.1\\java\\modules\\ext\\spring-4\\spring-webmvc-4.0.1.RELEASE.jar
-libs.spring-webmvc4.0.javadoc=
-libs.spring-webmvc4.0.maven-pom=
-libs.spring-webmvc4.0.src=
-libs.struts.classpath=C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\antlr-2.7.2.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\bsf-2.3.0.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\commons-beanutils-1.8.0.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\commons-chain-1.2.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\commons-digester-1.8.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\commons-fileupload-1.1.1.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\commons-io-1.1.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\commons-logging-1.0.4.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\commons-validator-1.3.1.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\jstl-1.0.2.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\oro-2.0.8.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\standard-1.0.6.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\struts-core-1.3.10.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\struts-el-1.3.10.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\struts-extras-1.3.10.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\struts-faces-1.3.10.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\struts-mailreader-dao-1.3.10.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\struts-scripting-1.3.10.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\struts-taglib-1.3.10.jar;C:\\Program Files\\NetBeans 8.1\\enterprise\\modules\\ext\\struts\\struts-tiles-1.3.10.jar
-libs.struts.javadoc=C:\\Program Files\\NetBeans 8.1\\enterprise\\docs\\struts-1.3.10-javadoc.zip
-libs.struts.maven-pom=
-libs.struts.src=
-libs.swing-layout.classpath=C:\\Program Files\\NetBeans 8.1\\platform\\modules\\ext\\swing-layout-1.0.4.jar
-libs.swing-layout.javadoc=C:\\Program Files\\NetBeans 8.1\\platform\\docs\\swing-layout-1.0.4-doc.zip
-libs.swing-layout.maven-pom=
-libs.swing-layout.src=C:\\Program Files\\NetBeans 8.1\\platform\\docs\\swing-layout-1.0.4-src.zip
-libs.testng.classpath=C:\\Program Files\\NetBeans 8.1\\platform\\modules\\ext\\testng-6.8.1-dist.jar
-libs.testng.javadoc=C:\\Program Files\\NetBeans 8.1\\platform\\docs\\testng-6.8.1-javadoc.zip
-libs.testng.maven-pom=
-libs.testng.src=
diff --git a/sources/netbeans-mock/java/ant/extra/org-netbeans-modules-java-j2seproject-copylibstask.jar b/sources/netbeans-mock/java/ant/extra/org-netbeans-modules-java-j2seproject-copylibstask.jar
deleted file mode 100644
index 60c2f42..0000000
Binary files a/sources/netbeans-mock/java/ant/extra/org-netbeans-modules-java-j2seproject-copylibstask.jar and /dev/null differ
diff --git a/sources/netbeans-mock/java/ant/extra/org-netbeans-modules-javawebstart-anttasks.jar b/sources/netbeans-mock/java/ant/extra/org-netbeans-modules-javawebstart-anttasks.jar
deleted file mode 100644
index 8caf60a..0000000
Binary files a/sources/netbeans-mock/java/ant/extra/org-netbeans-modules-javawebstart-anttasks.jar and /dev/null differ
diff --git a/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-ant-browsetask.jar b/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-ant-browsetask.jar
deleted file mode 100644
index d7c43dd..0000000
Binary files a/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-ant-browsetask.jar and /dev/null differ
diff --git a/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-debugger-jpda-ant.jar b/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-debugger-jpda-ant.jar
deleted file mode 100644
index 616d313..0000000
Binary files a/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-debugger-jpda-ant.jar and /dev/null differ
diff --git a/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-java-source-ant.jar b/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-java-source-ant.jar
deleted file mode 100644
index 62105fc..0000000
Binary files a/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-java-source-ant.jar and /dev/null differ
diff --git a/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-javawebstart.jar b/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-javawebstart.jar
deleted file mode 100644
index 1f7c8fa..0000000
Binary files a/sources/netbeans-mock/java/ant/nblib/org-netbeans-modules-javawebstart.jar and /dev/null differ
diff --git a/sources/netbeans-mock/tomcat8.properties b/sources/netbeans-mock/tomcat8.properties
deleted file mode 100644
index 1c7d891..0000000
--- a/sources/netbeans-mock/tomcat8.properties
+++ /dev/null
@@ -1,3 +0,0 @@
-tomcat.home=C:\\Program Files\\Apache\\apache-tomcat-8.5.23
-tomcat.url=http://localhost:8080
-tomcat.username=