commit c224436f3b13ea183a8810987285fee866f40bc0
Author: Tomáš Šimandl <tomas.simandl@gmail.com>
Date:   Tue Aug 21 13:26:37 2018 +0200

    changed paths in frontend tests to test files

diff --git a/sources/src/test/java/cz/zcu/kiv/imiger/tests/frontend/SampleTest.java b/sources/src/test/java/cz/zcu/kiv/imiger/tests/frontend/SampleTest.java
index ba6272d..3c57526 100644
--- a/sources/src/test/java/cz/zcu/kiv/imiger/tests/frontend/SampleTest.java
+++ b/sources/src/test/java/cz/zcu/kiv/imiger/tests/frontend/SampleTest.java
@@ -1,13 +1,11 @@
 package cz.zcu.kiv.imiger.tests.frontend;
 
-import org.junit.jupiter.api.Assertions;
 import org.junit.jupiter.api.AfterAll;
 import org.junit.jupiter.api.BeforeAll;
 import org.junit.jupiter.api.Test;
 import org.openqa.selenium.By;
 import org.openqa.selenium.WebDriver;
 import org.openqa.selenium.WebElement;
-import org.openqa.selenium.firefox.FirefoxDriver;
 import org.openqa.selenium.support.ui.ExpectedConditions;
 import org.openqa.selenium.support.ui.WebDriverWait;
 
@@ -21,7 +19,7 @@ public class SampleTest {
     @Test
     public void Test(){
         WebElement fileInput = browser.findElement(By.id("hidden_input"));
-        fileInput.sendKeys(System.getProperty("user.dir") + "\\..\\data\\aswi2017falsum.json" );
+        fileInput.sendKeys(System.getProperty("user.dir") + "\\..\\test\\data\\aswi2017falsum.json" );
         browser.findElement(By.className("load")).click();
 
         WebDriverWait wait = new WebDriverWait(browser, 20);
diff --git a/sources/src/test/java/cz/zcu/kiv/imiger/tests/frontend/SeleniumUtil.java b/sources/src/test/java/cz/zcu/kiv/imiger/tests/frontend/SeleniumUtil.java
index 1640a76..bbb3cb8 100644
--- a/sources/src/test/java/cz/zcu/kiv/imiger/tests/frontend/SeleniumUtil.java
+++ b/sources/src/test/java/cz/zcu/kiv/imiger/tests/frontend/SeleniumUtil.java
@@ -10,17 +10,22 @@ import org.openqa.selenium.support.ui.WebDriverWait;
 
 import java.io.IOException;
 import java.nio.file.Files;
-import java.nio.file.Path;
 import java.nio.file.Paths;
 
 public class SeleniumUtil {
+
+    private static final String TEST_DIRECTORY = System.getProperty("user.dir") + "\\..\\test";
+
     /**
-     * Path to the gecko driver.
+     * Path to the config location folder
+     * Path should be the same as in web.xml file
      * Please change to your location
      */
-    private static final String GECKO_PATH = "C:\\aswi-git\\geckodriver.exe";
+    private static final String APP_CONFIG_LOCATION = "C:\\Users\\Tomas\\Sources\\swi\\IMiGEr\\config";
+
+    private static final String GECKO_PATH = TEST_DIRECTORY + "\\geckodriver.exe";
 
-    private static final String URL = "http://localhost:8080/VisualizationTool";
+    private static final String URL = "http://localhost:8080";
 
     private static final int DATA_LOAD_TIMEOUT = 20;
 
@@ -35,7 +40,7 @@ public class SeleniumUtil {
 
     public static void loadGraphData(String filename) {
         WebElement fileInput = browser.findElement(By.id("hidden_input"));
-        fileInput.sendKeys(System.getProperty("user.dir") + "\\..\\test\\data\\" + filename );
+        fileInput.sendKeys(TEST_DIRECTORY + "\\data\\" + filename );
         browser.findElement(By.className("load")).click();
 
         WebDriverWait wait = new WebDriverWait(browser, DATA_LOAD_TIMEOUT);
@@ -50,9 +55,9 @@ public class SeleniumUtil {
 
     public static void prepareConfigFile(String configFile) {
         try {
-            Files.deleteIfExists(Paths.get(System.getProperty("user.home") + "\\Documents\\aswi\\test\\config\\config.json"));
-            Files.createLink(Paths.get(System.getProperty("user.home") + "\\Documents\\aswi\\test\\config\\config.json"),
-                    Paths.get(System.getProperty("user.dir") + "\\..\\test\\config\\" + configFile));
+            Files.deleteIfExists(Paths.get(APP_CONFIG_LOCATION + "\\config.json"));
+            Files.createLink(Paths.get(APP_CONFIG_LOCATION + "\\config.json"),
+                    Paths.get(TEST_DIRECTORY + "\\config\\" + configFile));
         } catch (IOException e) {
             e.printStackTrace();
         }