commit c2fae7c139cb90cf261922f39fc039df918b0805
Author: Tomáš Šimandl <tomas.simandl@gmail.com>
Date:   Fri Nov 23 12:53:40 2018 +0100

    Added different spade configuration files

diff --git a/config/empty_filter.json b/config/empty_filter.json
new file mode 100644
index 0000000..901c935
--- /dev/null
+++ b/config/empty_filter.json
@@ -0,0 +1,56 @@
+{
+  "defaultFilter": {
+    "vertexArchetypeFilter": {
+      "archetypes": [ ],
+      "matchType": "non_matching"
+    },
+
+    "edgeArchetypeFilter": {
+      "archetypes": [
+        
+      ],
+      "matchType": "non_matching"
+    },
+
+    "vertexAttributeFilters": [
+      
+    ],
+
+    "edgeAttributeFilters": [
+      
+    ]
+  },
+  
+  "defaultGroupArchetypes": [ "File", "Commit", "RepoFile"],
+  
+  "archetypeIcons": [
+    {
+      "name" : "Person",
+      "value" : "<circle r=\"3\" cx=\"6\" cy=\"3\" fill=\"black\" stroke-width=\"0\"\/><path d=\"M 1 10 A 6 4 0 0 1 11 10 L 11 15 L 1 15\" fill=\"black\" stroke-width=\"0\"\/>"
+    },
+    {
+      "name" : "Wiki",
+      "value" : "<text x=\"6\" y=\"7\" font-weight=\"bold\" style=\"font-family: serif !important; text-anchor: middle\">W<\/text>"
+    },
+    {
+      "name" : "Commit",
+      "value" : "<circle r=\"4\" cx=\"6\" cy=\"7.5\" fill-opacity=\"0\" stroke=\"black\" stroke-width=\"2\"\/><line x1=\"6\" y1=\"1\" x2=\"6\" y2=\"3.5\" stroke=\"black\" stroke-width=\"2\" stroke-linecap=\"round\"\/><line x1=\"6\" y1=\"11.5\" x2=\"6\" y2=\"14\" stroke=\"black\" stroke-width=\"2\" stroke-linecap=\"round\"\/>"
+    },
+    {
+      "name" : "File",
+      "value" : "<polygon points=\"0.5,0.5 7.5,0.5 11.5,4.5 11.5,14.5 0.5,14.5\" fill=\"white\" stroke=\"black\" stroke-linejoin=\"round\" \/><polygon points=\"7.5,0.5 11.5,4.5 7.5,4.5\" fill=\"gray\" stroke=\"black\" stroke-linejoin=\"round\" \/>"
+    },
+    {
+      "name" : "RepoFile",
+      "value" :"<polygon points=\"0.5,0.5 7.5,0.5 11.5,4.5 11.5,14.5 0.5,14.5\" fill=\"white\" stroke=\"black\" stroke-linejoin=\"round\" \/><polygon points=\"7.5,0.5 11.5,4.5 7.5,4.5\" fill=\"gray\" stroke=\"black\" stroke-linejoin=\"round\" \/><ellipse cx=\"5\" cy=\"7\" rx=\"3\" ry=\"1\" stroke=\"black\" fill=\"transparent\" stroke-width=\"0.5\"\/><path d=\"M 2 7 L 2 12 A 3 1 0 0 0 8 12 L 8 7\" stroke-width=\"0.5\" stroke=\"black\" fill=\"transparent\"\/><path d=\"M 2 8.66 A 3 1 0 0 0 8 8.66\" stroke-width=\"0.5\" stroke=\"black\" fill=\"transparent\"\/><path d=\"M 2 10.33 A 3 1 0 0 0 8 10.33\" stroke-width=\"0.5\" stroke=\"black\" fill=\"transparent\"\/>"
+    },
+    {
+      "name" : "Ticket",
+      "value" : "<path d=\"M 1 0 L 3 0 A 2 1 0 0 0 9 0 L 11 0, 11 15, 9 15 A 2 1 0 0 0 3 15 L 1 15 Z\" stroke=\"black\" fill=\"none\" stroke-linejoin=\"round\"\/><line x1=\"1\" y1=\"6\" x2=\"11\" y2=\"6\" stroke=\"black\" stroke-width=\"0.5\" stroke-dasharray=\"1,1\" stroke-linecap=\"round\"\/>"
+    },
+    {
+      "name" : "Change",
+      "value" : "<polygon points=\"1,4 5,4 3,1\" fill=\"black\" stroke=\"black\" stroke-linejoin=\"round\" \/><line x1=\"3\" y1=\"2\" x2=\"3\" y2=\"13\" stroke=\"black\"\/><polygon points=\"7,11 11,11 9,14\" fill=\"black\" stroke=\"black\" stroke-linejoin=\"round\" \/><line x1=\"9\" y1=\"2\" x2=\"9\" y2=\"13\" stroke=\"black\"\/>"
+    }
+  ]
+}
diff --git a/config/historical_data_config.json b/config/historical_data_config.json
new file mode 100644
index 0000000..45cd25d
--- /dev/null
+++ b/config/historical_data_config.json
@@ -0,0 +1,40 @@
+{
+  "defaultFilter": {
+    "vertexArchetypeFilter": {
+      "archetypes": [ ],
+      "matchType": "non_matching"
+    },
+
+    "edgeArchetypeFilter": {
+      "archetypes": [
+        
+      ],
+      "matchType": "non_matching"
+    },
+
+    "vertexAttributeFilters": [
+      
+    ],
+
+    "edgeAttributeFilters": [
+      
+    ]
+  },
+  
+  "defaultGroupArchetypes": [],
+  
+  "archetypeIcons": [
+    {
+      "name" : "person",
+      "value" : "<circle r=\"3\" cx=\"6\" cy=\"3\" fill=\"black\" stroke-width=\"0\"\/><path d=\"M 1 10 A 6 4 0 0 1 11 10 L 11 15 L 1 15\" fill=\"black\" stroke-width=\"0\"\/>"
+    },
+    {
+      "name" : "device",
+      "value" : "<g transform=\"scale(0.6,0.6)\"><g transform=\"translate(-2,1)\"><path id=\"gear\" fill=\"black\" stroke=\"black\" style=\"fill-rule:evenodd;clip-rule:evenodd;\" d=\"M20.869,13.476C20.948,12.994,21,12.504,21,12s-0.052-0.994-0.131-1.476l-2.463-0.259c-0.149-0.556-0.367-1.082-0.648-1.57l1.558-1.924c-0.576-0.806-1.281-1.511-2.087-2.087 l-1.924,1.558c-0.488-0.281-1.015-0.499-1.57-0.648l-0.259-2.463C12.994,3.052,12.504,3,12,3s-0.994,0.052-1.476,0.131 l-0.259,2.463C9.71,5.743,9.184,5.961,8.695,6.242L6.771,4.685C5.966,5.261,5.261,5.966,4.685,6.771l1.558,1.924 c-0.281,0.488-0.499,1.015-0.648,1.57l-2.463,0.259C3.052,11.006,3,11.496,3,12s0.052,0.994,0.131,1.476l2.463,0.259 c0.149,0.556,0.367,1.082,0.648,1.57l-1.558,1.924c0.576,0.806,1.281,1.511,2.087,2.087l1.924-1.558 c0.488,0.281,1.015,0.499,1.57,0.648l0.259,2.463C11.006,20.948,11.496,21,12,21s0.994-0.052,1.476-0.131l0.259-2.463 c0.556-0.149,1.082-0.367,1.57-0.648l1.924,1.558c0.806-0.576,1.511-1.281,2.087-2.087l-1.558-1.924 c0.281-0.488,0.499-1.015,0.648-1.57L20.869,13.476z M12,15.998c-2.209,0-3.998-1.789-3.998-3.998S9.791,8.002,12,8.002 S15.998,9.791,15.998,12S14.209,15.998,12,15.998z\"/></g></g>"
+    },
+    {
+      "name" : "theory",
+      "value" : "<g transform=\"scale(0.03,0.03)\"><g transform=\"translate(-35,0)\"><path id=\"gear\" fill=\"black\" stroke=\"black\" d=\"M394.235,151.628c0,82.449-49.695,92.044-59.021,181.956c0,8.382-6.785,15.163-15.168,15.163H165.161 c-8.379,0-15.161-6.781-15.161-15.163h-0.028c-9.299-89.912-58.994-99.507-58.994-181.956C90.978,67.878,158.855,0,242.606,0 S394.235,67.878,394.235,151.628z M318.423,363.906H166.794c-8.384,0-15.166,6.786-15.166,15.168 c0,8.378,6.782,15.163,15.166,15.163h151.628c8.378,0,15.163-6.785,15.163-15.163C333.586,370.692,326.801,363.906,318.423,363.906 z M318.423,409.396H166.794c-8.384,0-15.166,6.786-15.166,15.163c0,8.383,6.782,15.168,15.166,15.168h151.628 c8.378,0,15.163-6.785,15.163-15.168C333.586,416.182,326.801,409.396,318.423,409.396z M212.282,485.212h60.65 c16.76,0,30.322-13.562,30.322-30.326h-121.3C181.955,471.65,195.518,485.212,212.282,485.212z\"/></g></g>"
+    }
+  ]
+}
diff --git a/config/spade_config.json b/config/spade_config.json
new file mode 100644
index 0000000..514b5d4
--- /dev/null
+++ b/config/spade_config.json
@@ -0,0 +1,97 @@
+{
+  "defaultFilter": {
+    "vertexArchetypeFilter": {
+      "archetypes": [ "Ticket", "Person", "Wiki", "File"],
+      "matchType": "matching"
+    },
+
+    "edgeArchetypeFilter": {
+      "archetypes": [
+        {
+          "fromArchetypes": [ "Person" ],
+          "edgeArchetypes": [ "Authorship" ],
+          "toArchetypes": [ "Ticket", "File" ]
+        },
+        {
+          "fromArchetypes": [ "Person" ],
+          "edgeArchetypes": [ "Assignment" ],
+          "toArchetypes": [ "Ticket" ]
+        },
+        {
+          "fromArchetypes": [ "File", "Ticket", "Wiki" ],
+          "edgeArchetypes": [ "ItemRelation" ],
+          "toArchetypes": [ "File", "Ticket", "Wiki" ]
+        },
+        {
+          "fromArchetypes": [ "Person" ],
+          "edgeArchetypes": [ "Modification" ],
+          "toArchetypes": [ "Wiki" ]
+        }
+      ],
+      "matchType": "matching"
+    },
+
+    "vertexAttributeFilters": [
+      {
+        "archetype": "Ticket",
+        "attributeName": "Status super class",
+        "filter": {
+          "values": [ "OPEN" ],
+          "matchType": "any"
+        }
+      },
+      {
+        "archetype": "Person",
+        "attributeName": "Role super classes",
+        "filter": {
+          "values": [ "TEAMMEMBER" ],
+          "matchType": "any"
+        }
+      }
+    ],
+
+    "edgeAttributeFilters": [
+      {
+        "archetype": "Modification",
+        "attributeName": "Relation",
+        "filter": {
+          "values": [ "last modified by", "last modified" ],
+          "matchType": "any"
+        }
+      }
+    ]
+  },
+  
+  "defaultGroupArchetypes": [ "File", "Commit", "RepoFile"],
+  
+  "archetypeIcons": [
+    {
+      "name" : "Person",
+      "value" : "<circle r=\"3\" cx=\"6\" cy=\"3\" fill=\"black\" stroke-width=\"0\"\/><path d=\"M 1 10 A 6 4 0 0 1 11 10 L 11 15 L 1 15\" fill=\"black\" stroke-width=\"0\"\/>"
+    },
+    {
+      "name" : "Wiki",
+      "value" : "<text x=\"6\" y=\"7\" font-weight=\"bold\" style=\"font-family: serif !important; text-anchor: middle\">W<\/text>"
+    },
+    {
+      "name" : "Commit",
+      "value" : "<circle r=\"4\" cx=\"6\" cy=\"7.5\" fill-opacity=\"0\" stroke=\"black\" stroke-width=\"2\"\/><line x1=\"6\" y1=\"1\" x2=\"6\" y2=\"3.5\" stroke=\"black\" stroke-width=\"2\" stroke-linecap=\"round\"\/><line x1=\"6\" y1=\"11.5\" x2=\"6\" y2=\"14\" stroke=\"black\" stroke-width=\"2\" stroke-linecap=\"round\"\/>"
+    },
+    {
+      "name" : "File",
+      "value" : "<polygon points=\"0.5,0.5 7.5,0.5 11.5,4.5 11.5,14.5 0.5,14.5\" fill=\"white\" stroke=\"black\" stroke-linejoin=\"round\" \/><polygon points=\"7.5,0.5 11.5,4.5 7.5,4.5\" fill=\"gray\" stroke=\"black\" stroke-linejoin=\"round\" \/>"
+    },
+    {
+      "name" : "RepoFile",
+      "value" :"<polygon points=\"0.5,0.5 7.5,0.5 11.5,4.5 11.5,14.5 0.5,14.5\" fill=\"white\" stroke=\"black\" stroke-linejoin=\"round\" \/><polygon points=\"7.5,0.5 11.5,4.5 7.5,4.5\" fill=\"gray\" stroke=\"black\" stroke-linejoin=\"round\" \/><ellipse cx=\"5\" cy=\"7\" rx=\"3\" ry=\"1\" stroke=\"black\" fill=\"transparent\" stroke-width=\"0.5\"\/><path d=\"M 2 7 L 2 12 A 3 1 0 0 0 8 12 L 8 7\" stroke-width=\"0.5\" stroke=\"black\" fill=\"transparent\"\/><path d=\"M 2 8.66 A 3 1 0 0 0 8 8.66\" stroke-width=\"0.5\" stroke=\"black\" fill=\"transparent\"\/><path d=\"M 2 10.33 A 3 1 0 0 0 8 10.33\" stroke-width=\"0.5\" stroke=\"black\" fill=\"transparent\"\/>"
+    },
+    {
+      "name" : "Ticket",
+      "value" : "<path d=\"M 1 0 L 3 0 A 2 1 0 0 0 9 0 L 11 0, 11 15, 9 15 A 2 1 0 0 0 3 15 L 1 15 Z\" stroke=\"black\" fill=\"none\" stroke-linejoin=\"round\"\/><line x1=\"1\" y1=\"6\" x2=\"11\" y2=\"6\" stroke=\"black\" stroke-width=\"0.5\" stroke-dasharray=\"1,1\" stroke-linecap=\"round\"\/>"
+    },
+    {
+      "name" : "Change",
+      "value" : "<polygon points=\"1,4 5,4 3,1\" fill=\"black\" stroke=\"black\" stroke-linejoin=\"round\" \/><line x1=\"3\" y1=\"2\" x2=\"3\" y2=\"13\" stroke=\"black\"\/><polygon points=\"7,11 11,11 9,14\" fill=\"black\" stroke=\"black\" stroke-linejoin=\"round\" \/><line x1=\"9\" y1=\"2\" x2=\"9\" y2=\"13\" stroke=\"black\"\/>"
+    }
+  ]
+}