commit c448aeb19c8747d518c7dfcb44b0c9d45177a475
Author: Pavel Fidranský <fidransky@outlook.com>
Date:   Sat Nov 10 14:06:42 2018 +0100

    fix Robot Framework tests

diff --git a/sources/src/main/webapp/tests/common.robot b/sources/src/main/webapp/tests/common.robot
index 40a0c54..22f903c 100644
--- a/sources/src/main/webapp/tests/common.robot
+++ b/sources/src/main/webapp/tests/common.robot
@@ -59,3 +59,13 @@ Element Should Have Class
 Element Should Not Have Class
 	[Arguments]		${element}		${className}
 	Page Should Not Contain Element	${element}[contains(@class, "${className}")]
+
+
+Element Should Have Attribute
+	[Arguments]		${element}		${attributeName}
+	Page Should Contain Element		${element}[@${attributeName}]
+
+
+Element Should Not Have Attribute
+	[Arguments]		${element}		${attributeName}
+	Page Should Not Contain Element	${element}[@${attributeName}]
diff --git a/sources/src/main/webapp/tests/edge.robot b/sources/src/main/webapp/tests/edge.robot
index f37a11f..3dd56d3 100644
--- a/sources/src/main/webapp/tests/edge.robot
+++ b/sources/src/main/webapp/tests/edge.robot
@@ -32,11 +32,11 @@ Hide Edge Popover By Moving Mouse Out
 	Click Element		${edge38}${edgeArrow}
 	Mouse Out			${edgePopover}
 	Element Should Not Be Visible	${edgePopover}
-	Element Should Have Class		${edgePopover}	hidden
+	Element Should Have Attribute	${edgePopover}	hidden
 
 
 Hide Edge Popover By Clicking Elsewhere
 	Click Element		${edge38}${edgeArrow}
 	Click Element		//body
 	Element Should Not Be Visible	${edgePopover}
-	Element Should Have Class		${edgePopover}	hidden
+	Element Should Have Attribute	${edgePopover}	hidden
diff --git a/sources/src/main/webapp/tests/group.robot b/sources/src/main/webapp/tests/group.robot
index 6793224..452a874 100644
--- a/sources/src/main/webapp/tests/group.robot
+++ b/sources/src/main/webapp/tests/group.robot
@@ -17,8 +17,7 @@ ${vertex2019}		//*[name()="svg"][contains(@class, "vertex")][@data-id="2019"]
 
 ${group1}			//*[name()="svg"][contains(@class, "group")][@data-id="1"]
 
-${groupName}			/*[name()="text"][@class="group-name"]
-${groupDissolveButton}	/*[name()="g"][contains(@class, "dissolve-button")]
+${groupName}			//span[@class="group-name"]
 
 ${vertexContextMenu}	//div[contains(@class, "context-menu")]
 
@@ -55,19 +54,12 @@ Drag Group
 Rename Group
 	Element Should Contain			${group1}${groupName}	File
 	# trigger group rename prompt
-	Click Element					${group1}/*[name()="text"]
+	Click Element					${group1}${groupName}
 	Input Text Into Alert			Lorem Ipsum
 	# check that group name was changed
 	Element Should Contain			${group1}${groupName}	Lorem Ipsum
 
 
-Dissolve Group
-	Click Element					${group1}${groupDissolveButton}
-	# check that group is not visible while its vertex is
-	Element Should Not Be Visible	${group1}
-	Element Should Be Visible		${vertex2019}
-
-
 Add Vertex To Group
 	# open vertex context menu
 	Open Context Menu				${vertex2014}
diff --git a/sources/src/main/webapp/tests/navbar.robot b/sources/src/main/webapp/tests/navbar.robot
index 2a4c40e..61dbed0 100644
--- a/sources/src/main/webapp/tests/navbar.robot
+++ b/sources/src/main/webapp/tests/navbar.robot
@@ -9,12 +9,12 @@ Resource		common.robot
 
 
 *** Variables ***
-${navbar}				//div[@id="navigation"]
+${navbar}				//div[@class="navbar"]
 ${graphWrapper}			//*[name()="g"][@id="graph"]
 
 ${mostEdgeButton}		//button[@id="mostEdge"]
 ${vertexToGroupButton}	//button[@id="vertexToGroup"]
-${backToUploadButton}	//a[@id="view_back_to_upload"]
+${backToUploadButton}	//a[@id="backToUpload"]
 
 ${excludedNodeList}		//div[@id="excludedNodeListComponent"]
 
diff --git a/sources/src/main/webapp/tests/node-excluding.robot b/sources/src/main/webapp/tests/node-excluding.robot
index e7b6c74..d10a4bf 100644
--- a/sources/src/main/webapp/tests/node-excluding.robot
+++ b/sources/src/main/webapp/tests/node-excluding.robot
@@ -3,7 +3,7 @@ Documentation	A test suite with tests of node excluding functionality.
 
 Suite Setup		Open Browser To Demo Diagram
 Suite Teardown	Close Browser
-Test Setup		Select Radio Button		actionMove	exclude
+Test Setup		Select Radio Button		mode	exclude
 Test Teardown	Reload Diagram Screen
 
 Resource		common.robot
diff --git a/sources/src/main/webapp/tests/search.robot b/sources/src/main/webapp/tests/search.robot
index 973f775..b19273c 100644
--- a/sources/src/main/webapp/tests/search.robot
+++ b/sources/src/main/webapp/tests/search.robot
@@ -10,8 +10,8 @@ Resource		common.robot
 
 *** Variables ***
 ${searchInputField}	//input[@id="searchText"]
-${searchButton}		//button[@id="search"]
-${searchCounter}	//span[@id="countOfFound"]
+${searchButton}		//button[@id="searchButton"]
+${searchCounter}	//span[@id="searchCount"]
 
 ${vertex2015}		//*[name()="svg"][@data-id="2015"]
 ${vertex2039}		//*[name()="svg"][@data-id="2039"]
diff --git a/sources/src/main/webapp/tests/sidebar.robot b/sources/src/main/webapp/tests/sidebar.robot
index 5cdf51a..ac6e918 100644
--- a/sources/src/main/webapp/tests/sidebar.robot
+++ b/sources/src/main/webapp/tests/sidebar.robot
@@ -10,35 +10,32 @@ Resource		common.robot
 *** Variables ***
 ${sidebar}				//div[@id="sidebar"]
 
-${unconnectedButton}	//button[@id="unconnectedButton"]
 ${unconnectedNodeList}	//div[@id="unconnectedNodeListComponent"]
 
 ${includeAllButton}		//button[contains(@class, "include-all-button")]
 ${excludeAllButton}		//button[contains(@class, "exclude-all-button")]
 
-${vertex0}				//*[name()="svg"][contains(@class, "vertex")][@data-id="0"]
-${excludedVertex0}		//li[contains(@class, "vertex")][@data-id="0"]
+${vertex2030}			//*[name()="svg"][contains(@class, "vertex")][@data-id="2030"]
+${excludedVertex2030}	//li[contains(@class, "vertex")][@data-id="2030"]
 
 
 *** Test Cases ***
 Toggle Unconnected Nodes
-	Element Should Have Class		${unconnectedNodeList}	hidden
-	Click Element					${unconnectedButton}
-	Element Should Not Have Class	${unconnectedNodeList}	hidden
-	Click Element					${unconnectedButton}
-	Element Should Have Class		${unconnectedNodeList}	hidden
+	Element Should Not Have Attribute	${unconnectedNodeList}/div[@class="node-container-content"]		hidden
+	Click Element						${unconnectedNodeList}/h2[@class="node-container-title"]
+	Element Should Have Attribute		${unconnectedNodeList}/div[@class="node-container-content"]		hidden
+	Click Element						${unconnectedNodeList}/h2[@class="node-container-title"]
+	Element Should Not Have Attribute	${unconnectedNodeList}/div[@class="node-container-content"]		hidden
 
 
 Include And Exclude All Unconnected Vertices
-	Click Element					${unconnectedButton}
-	Element Should Not Be Visible	${vertex0}
-	Element Should Be Visible		${unconnectedNodeList}${excludedVertex0}
+	Element Should Not Be Visible	${vertex2030}
+	Element Should Be Visible		${unconnectedNodeList}${excludedVertex2030}
 	# include all unconnected vertices
 	Click Element					${unconnectedNodeList}${includeAllButton}
-	Element Should Be Visible		${vertex0}
-	Element Should Not Be Visible	${unconnectedNodeList}${excludedVertex0}
+	Element Should Be Visible		${vertex2030}
+	Element Should Not Be Visible	${unconnectedNodeList}${excludedVertex2030}
 	# exclude all unconnected vertices
 	Click Element					${unconnectedNodeList}${excludeAllButton}
-	Element Should Not Be Visible	${vertex0}
-	Element Should Be Visible		${unconnectedNodeList}${excludedVertex0}
-	Click Element					${unconnectedButton}
+	Element Should Not Be Visible	${vertex2030}
+	Element Should Be Visible		${unconnectedNodeList}${excludedVertex2030}
diff --git a/sources/src/main/webapp/tests/vertex.robot b/sources/src/main/webapp/tests/vertex.robot
index 19dc7c5..fe7e537 100644
--- a/sources/src/main/webapp/tests/vertex.robot
+++ b/sources/src/main/webapp/tests/vertex.robot
@@ -14,7 +14,7 @@ ${vertex9}				//*[name()="svg"][contains(@class, "vertex")][@data-id="9"]
 ${vertex58}				//*[name()="svg"][contains(@class, "vertex")][@data-id="58"]
 ${vertex2014}			//*[name()="svg"][contains(@class, "vertex")][@data-id="2014"]
 
-${vertexArchetypeIcon}	/*[name()="g"][@class="archetype-icon"]
+${vertexArchetypeIcon}	/*[name()="use"][@class="archetype-icon"]
 
 ${vertexPopover}		//div[contains(@class, "vertex-popover")]
 
@@ -23,13 +23,13 @@ ${vertexPopover}		//div[contains(@class, "vertex-popover")]
 Highlight Vertex
 	Click Element					${vertex58}
 	# check that other vertices are either highlighted or dimmed
-	Element Should Have Class		${vertex9}		node--highlighted-required
+	Element Should Have Class		${vertex9}		node--highlighted-as-required
 	Element Should Have Class		${vertex58}		node--highlighted
 	Element Should Have Class		${vertex2014}	node--dimmed
 	# unhighlight
 	Click Element					${vertex58}
 	# check that other vertices are back to normal
-	Element Should Not Have Class	${vertex9}		node--highlighted-required
+	Element Should Not Have Class	${vertex9}		node--highlighted-as-required
 	Element Should Not Have Class	${vertex58}		node--highlighted
 	Element Should Not Have Class	${vertex2014}	node--dimmed
 
@@ -64,8 +64,8 @@ Drag Vertex
 
 Display Vertex Popover
 	Click Element		${vertex2014}${vertexArchetypeIcon}
-	Element Should Be Visible		${vertexPopover}
-	Element Should Not Have Class	${vertexPopover}	hidden
+	Element Should Be Visible			${vertexPopover}
+	Element Should Not Have Attribute	${vertexPopover}	hidden
 	Mouse Out			${vertexPopover}
 
 
@@ -73,11 +73,11 @@ Hide Vertex Popover By Moving Mouse Out
 	Click Element		${vertex2014}${vertexArchetypeIcon}
 	Mouse Out			${vertexPopover}
 	Element Should Not Be Visible	${vertexPopover}
-	Element Should Have Class		${vertexPopover}	hidden
+	Element Should Have Attribute	${vertexPopover}	hidden
 
 
 Hide Vertex Popover By Clicking Elsewhere
 	Click Element		${vertex2014}${vertexArchetypeIcon}
 	Click Element		//body
 	Element Should Not Be Visible	${vertexPopover}
-	Element Should Have Class		${vertexPopover}	hidden
+	Element Should Have Attribute	${vertexPopover}	hidden